﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Models
{
    [DataContract]
    public class Jeu
    {
        [DataMember]
        public string Nom { get; private set; }
        [DataMember]
        public string Sortie { get; private set; }
        [DataMember]
        public string Plateformes { get; private set; }
        [DataMember]
        public string Developpeur { get; private set; }
        [DataMember]
        public string Editeur { get; private set; }
        [DataMember]
        public int Note { get; private set; }
        [DataMember]
        public int NbTelechargement { get; private set; }
        //[DataMember]
        //public List<(string,string)> Revendeurs { get; private set; }
        [DataMember]
        public string Genres { get; private set; }
        [DataMember]
        public string Image { get; private set; }

        public Jeu(string nom, string sortie, string plateformes, string developpeur, string editeur, int note, int nbTelechargement, string genres, string image)
        {
            Nom = nom;
            Sortie = sortie;
            Plateformes = plateformes;
            Developpeur = developpeur;
            Editeur = editeur;
            Note = note;
            NbTelechargement = nbTelechargement;
            //Revendeurs = revendeurs;
            Genres = genres;
            Image = image;
        }

        public override bool Equals(object obj)
        {
            if (obj == null || GetType() != obj.GetType())
                return false;

            Jeu otherJeu = (Jeu)obj;
            return Nom == otherJeu.Nom && Sortie == otherJeu.Sortie;
        }

        public override int GetHashCode()
        {
            return HashCode.Combine(Nom, Sortie);
        }
    }
}
